Skip to main content
GET
/
v2
/
intelligence
/
stops
/
vehicles
/
{vehicle_id}
List stop history for a vehicle
curl --request GET \
  --url https://api.catenatelematics.com/v2/intelligence/stops/vehicles/{vehicle_id} \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "vehicle_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "start_date": "2023-11-07T05:31:56Z",
      "stop_definition": "<string>",
      "stop_type": "<string>",
      "stop_category": "<string>",
      "is_long_stop": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "place_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "end_date": "2023-11-07T05:31:56Z",
      "location": {
        "type": "<string>",
        "coordinates": {
          "[0]": 123,
          "[1]": 123
        },
        "bbox": {
          "[0]": 123,
          "[1]": 123,
          "[2]": 123,
          "[3]": 123
        }
      },
      "h3_index_11": 123,
      "fleet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "fleet_ref": "<string>"
    }
  ],
  "total": 1,
  "current_page": "<string>",
  "current_page_backwards": "<string>",
  "previous_page": "<string>",
  "next_page": "<string>"
}
Provisional endpoint
This endpoint is available for early access. The core schema is stable, but minor details — such as field names or added fields — may change before it becomes generally available. Backward compatibility is not guaranteed.

See API Stability & Versioning for details on provisional endpoints.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

vehicle_id
string<uuid>
required

Query Parameters

fleet_ids
string<uuid>[] | null

Limit results to specific fleets using Catena's fleet IDs. For your own fleet identifiers, use fleet_refs instead To specify multiple values, repeat the parameter for each value (e.g., ?fleet_ids=id1&fleet_ids=id2).

Maximum array length: 100
fleet_refs
string[] | null

Limit results to specific fleets using your organization's fleet reference identifiers. To specify multiple values, repeat the parameter for each value (e.g., ?fleet_refs=ref1&fleet_refs=ref2).

Maximum array length: 100
connection_id
string<uuid> | null

Limit results to a specific provider connection. This is the UUID assigned by Catena when your fleet connects to a TSP.

active_from_datetime
string<date-time> | null

Return only records that were still active at or after this date and time. Format: ISO 8601 (UTC) Applies filter: ended_at >= active_from_datetime

Example:

"2026-07-07T02:04:07.307993Z"

active_to_datetime
string<date-time> | null

Return only records that started before this date and time. Format: ISO 8601 (UTC) Applies filter: started_at < active_to_datetime

Example:

"2026-07-08T02:04:07.308053Z"

known_stops_only
boolean
default:false

When true, return only stops that have been matched to a known place (i.e. place_id is set). Orphan stops — those not yet attached to a place — are excluded.

stop_categories
string[] | null

Limit results to stops with one of the specified categories. To specify multiple values, repeat the parameter (e.g. ?stop_categories=FUEL&stop_categories=REST).

Maximum array length: 50
min_stop_duration_seconds
integer | null

Return only stops whose duration is at least this many seconds. Long stops (no confirmed end) always pass this filter.

Required range: x >= 0
max_stop_duration_seconds
integer | null

Return only stops whose duration is at most this many seconds. Long stops (no confirmed end) are excluded when this filter is active.

Required range: x >= 0
cursor
string | null

Cursor for the next page

size
integer
default:300

Page size

Required range: 1 <= x <= 1000

Response

Successful Response

items
VehicleStopRead · object[]
required
total
integer
required
Required range: x >= 0
current_page
string | null

Cursor to refetch the current page

current_page_backwards
string | null

Cursor to refetch the current page starting from the last item

previous_page
string | null

Cursor for the previous page

next_page
string | null

Cursor for the next page